[Strawberry Perl V5.24]Box2D模块安装

头像
523066680
Administrator
Administrator
帖子: 340
注册时间: 2016年07月19日 12:14
拥有现金: 锁定
储蓄: 锁定
Has thanked: 30 times
Been thanked: 27 times
联系:

[Strawberry Perl V5.24]Box2D模块安装

帖子 #1 523066680 » 2017年10月28日 11:18

从 metacpan 下载 Alien-Box2D-0.105.tar.gz ,执行
perl Build.PL

提示 Box2D_v2.1.2.zip 下载失败(资源已经失效)
解决方法是从其他网站(pudn)找到 Box2D_v2.1.2.zip,放在 `\Alien-Box2D-0.105\download\` 目录。

重新执行 `perl Build.PL`
执行后生成 build.bat

执行 build.bat,生成 build 文件(内容是 perl )
然后
> perl build test
> perl build install

注意整个过程最好是在 Strawberry Perl 设置的环境变量下运行

然后是 Box2D-0.07.tar.gz :

成功安装 Alien-Box2D后,进入Box2d-0.07

perl Build.PL
提示
```
Can't locate Module/Build/WithXSpp.pm in @INC (you may need to install the Modul
e::Build::WithXSpp module) (@INC contains: C:/Strawberry/perl/site/lib/MSWin32-x
86-multi-thread-64int C:/Strawberry/perl/site/lib C:/Strawberry/perl/vendor/lib
C:/Strawberry/perl/lib .) at Build.PL line 4.
BEGIN failed--compilation aborted at Build.PL line 4.
```

cpan install Module::Build::WithXSpp.pm
提示
```
Checking prerequisites...
build_requires:
! ExtUtils::Typemap::Basic is not installed
! ExtUtils::Typemap::ObjectMap is not installed
! ExtUtils::Typemap::STL::String is not installed

ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions
of the modules indicated above before proceeding with this installation

Run 'Build installdeps' to install missing prerequisites.

Created MYMETA.yml and MYMETA.json
Creating new 'Build' script for 'Box2D' version '0.07'
```

perl Build installdeps
perl Build test
perl Build install

注意 test 和 install 的过程,最好用 Strawberry Perl 的环境变量

回到 “模块”

在线用户

用户浏览此论坛: 没有注册用户 和 4 访客